<template>
  <div class="jumbo-container">
    <apex-chart
      class="chart"
      height="100%"
      :options="chartOptions"
      :series="series"
      type="area">
    </apex-chart>
    <div class="foreground">
      <div class="text-container" :style="{ fontSize: 14 - (text.length * 1.4) + 'em'}">
        {{ text }}
      </div>
      <div class="footer">
        <div class="label-container">
          {{ label }}
        </div>
    </div>
    </div>
  </div>
</template>

<script>
import apexChart from 'vue-apexcharts'
import { light } from '@/services/themes'

export default {
  components: {
    apexChart
  },
  props: {
    label: {
      type: String,
      required: true
    },
    series: {
      type: Array,
      required: true
    },
    text: {
      type: String,
      required: true
    }
  },
  data() {
    return {
      chartOptions: {
        chart: {
          animations: { enabled: false },
          sparkline: { enabled: true },
          type: 'area',
          zoom: { enabled: false }
        },
        colors: [light.primary, light.secondary, light.accent]
      }
    }
  }
}
</script>

<style scoped>
.chart {
  opacity: 0.3;
}
.footer {
  bottom: .1em;
  position: absolute;
  width: 100%;
}
.foreground {
  position: absolute;
  height: 100%;
  top: 0;
  width: 100%;
}
.jumbo-container {
  font-weight: bold;
  height: 100%;
  text-align: center;
}
.label-container {
  font-size: 2em;
  margin-top: -1em;
}
.text-container {
  padding-top: .1em;
  height: 100%;
}
</style>
